package xyz.ibatv.iba_backblocks.Register;


import net.minecraft.block.Block;
import net.minecraft.block.material.Material;

import net.minecraft.init.Blocks;
import net.minecraft.init.Items;
import net.minecraft.item.Item;
import net.minecraft.item.ItemFood;
import net.minecraft.item.ItemStack;

import cpw.mods.fml.common.registry.GameRegistry;
import net.minecraft.creativetab.CreativeTabs;

import xyz.ibatv.iba_backblocks.*;
import xyz.ibatv.iba_backblocks.blocks.mc18.*;
import xyz.ibatv.iba_backblocks.blocks.mc18.fence.BlockFenceGateSimple;
import xyz.ibatv.iba_backblocks.blocks.mc18.fence.BlockFenceSimple;
import xyz.ibatv.iba_backblocks.blocks.mc18.logs.*;
import xyz.ibatv.iba_backblocks.init.InitBlocks;
import xyz.ibatv.iba_backblocks.items.Minecraft1_8_Items;



public class Register {

	public static void initRecipes()
	{
		//more random changes from
		// https://minecraft.wiki/w/Java_Edition_1.8
		Blocks.packed_ice.setHarvestLevel("pickaxe", 0);
		Blocks.melon_block.setHarvestLevel("axe", 0);
		Blocks.ladder.setHarvestLevel("axe", 0);

		//new recipes for existing blocks

		GameRegistry.addRecipe(new ItemStack(Blocks.stonebrick,1,reference.stonebrick_chisel), " s", " s"
				,'s', new ItemStack(Blocks.stone_slab,1,reference.stone_slab_stonebrick));

		GameRegistry.addRecipe(new ItemStack(Blocks.stonebrick,1,reference.stonebrick_mossy), "sv", "  "
				,'s', Blocks.stonebrick
				,'v', Blocks.vine
		);

		GameRegistry.addRecipe(new ItemStack(Blocks.mossy_cobblestone), "sv", "  "
				,'s', Blocks.cobblestone
				,'v', Blocks.vine
		);

		GameRegistry.addSmelting(Blocks.stonebrick, new ItemStack(Blocks.stonebrick,1,reference.stonebrick_cracked), 0);

		//doors made only 1 each build in 1.7, but 3 in 1.8
		//we do it just for oak because i have all the door stuff for the types
		GameRegistry.addRecipe(new ItemStack(Items.wooden_door,3), " pp", " pp",	" pp",
				'p',new ItemStack(Blocks.planks,1,reference.planks_oak));
	}

	public static void initAcaciaDoor()
	{
		BlockDoorSimple door_acacia = new BlockDoorSimple();

		ItemDoorSimple door_acacia_item = new ItemDoorSimple(door_acacia);
		door_acacia.setItemDropped(door_acacia_item);

		IBA_BackBlocks.registerBlockHelperNoTab(door_acacia, "door_acacia");
		IBA_BackBlocks.registerItemHelper(door_acacia_item, "door_acacia_item") ;

		GameRegistry.addRecipe(new ItemStack(door_acacia_item,3), " pp", " pp",	" pp",
				'p',new ItemStack(Blocks.planks,1,reference.planks_acacia));
	}

	public static void initJungleDoor()
	{
		BlockDoorSimple door_jungle = new BlockDoorSimple();


		ItemDoorSimple door_jungle_item = new ItemDoorSimple( door_jungle);
		door_jungle_item.setUnlocalizedName("door_jungle_iten");//same texture name but its in the assets......items package

		door_jungle.setItemDropped(door_jungle_item);

		IBA_BackBlocks.registerBlockHelperNoTab(door_jungle, "door_jungle");
		IBA_BackBlocks.registerItemHelper(door_jungle_item, "door_jungle_item") ;

		GameRegistry.addRecipe(new ItemStack(door_jungle_item,3), " pp", " pp",	" pp",
				'p',new ItemStack(Blocks.planks,1,reference.planks_jungle ));
	}

	public static void initSpruceDoor()
	{
		BlockDoorSimple door_spruce = new BlockDoorSimple();


		ItemDoorSimple door_spruce_item = new ItemDoorSimple(door_spruce);
		door_spruce_item.setUnlocalizedName("door_spruce_item");//same texture name but its in the assets......items package

		door_spruce.setItemDropped(door_spruce_item);

		IBA_BackBlocks.registerBlockHelperNoTab(door_spruce, "door_spruce");
		IBA_BackBlocks.registerItemHelper(door_spruce_item, "door_spruce_item") ;

		GameRegistry.addRecipe(new ItemStack(door_spruce_item,3), " pp", " pp",	" pp",
				'p',new ItemStack(Blocks.planks,1,reference.planks_spruce) );
	}

	public static void initBirchDoor()
	{
		BlockDoorSimple door_birch = new BlockDoorSimple();


		ItemDoorSimple door_birch_item = new ItemDoorSimple(door_birch );
		door_birch_item.setUnlocalizedName("door_birch_item");//same texture name but its in the assets......items package

		door_birch.setItemDropped(door_birch_item);


		IBA_BackBlocks.registerBlockHelperNoTab(door_birch, "door_birch");
		IBA_BackBlocks.registerItemHelper(door_birch_item, "door_birch_item") ;


		GameRegistry.addRecipe(new ItemStack(door_birch_item,3), " pp", " pp",	" pp",
				'p',new ItemStack(Blocks.planks,1,reference.planks_birch) );
	}

	public static void initDarkoakDoor()
	{
		BlockDoorSimple door_dark_oak = new BlockDoorSimple();


		ItemDoorSimple door_dark_oak_item = new ItemDoorSimple(door_dark_oak);
		door_dark_oak_item.setUnlocalizedName("door_dark_oak_item");//same texture name but its in the assets......items package

		door_dark_oak.setItemDropped(door_dark_oak_item);

		IBA_BackBlocks.registerBlockHelperNoTab(door_dark_oak, "door_dark_oak");
		IBA_BackBlocks.registerItemHelper(door_dark_oak_item, "door_dark_oak_item") ;

		GameRegistry.addRecipe(new ItemStack(door_dark_oak_item,3), " pp", " pp",	" pp",
				'p',new ItemStack(Blocks.planks,1,reference.planks_darkoak) );
	}


	public static void mc18Ore() {
		GameRegistry.registerBlock(InitBlocks.oreCopper, "copper_ore").setCreativeTab(CreativeTabs.tabBlock);
		GameRegistry.registerBlock(InitBlocks.copperBlock, "copper_block").setCreativeTab(CreativeTabs.tabBlock);

		GameRegistry.registerBlock(InitBlocks.cherry_planks, "cherry_planks").setCreativeTab(CreativeTabs.tabBlock);
		GameRegistry.registerBlock(InitBlocks.raw_copper_block, "raw_copper_block").setCreativeTab(CreativeTabs.tabBlock);
		GameRegistry.registerBlock(InitBlocks.wet_sponge, "wet_sponge").setCreativeTab(CreativeTabs.tabBlock);
		//GameRegistry.registerBlock(InitBlocks.Andesite, "andesite").setCreativeTab(CreativeTabs.tabBlock);
	}


	public static Block blockStrippedOldLog;
	public static Block blockStrippedNewLog;
	public static Block blockStrippedNewLog2;
	public static Block blockNewNewLog;
	public static Block blockNewNewLog2;

	public static void mc18logs() {
		// NEW LOGS AND STRIPPED LOGS
		blockStrippedOldLog = new BlockStrippedOldLog().setBlockName("stripped").setBlockTextureName("stripped").setCreativeTab(CreativeTabs.tabBlock);
		blockStrippedNewLog = new BlockStrippedNewLog().setBlockName("stripped2").setBlockTextureName("stripped").setCreativeTab(CreativeTabs.tabBlock);
		blockStrippedNewLog2 = new BlockStrippedNewLog2().setBlockName("stripped3").setBlockTextureName("stripped").setCreativeTab(CreativeTabs.tabBlock);
		blockNewNewLog = new BlockNewNewLog().setBlockName("log2").setBlockTextureName("log").setCreativeTab(CreativeTabs.tabBlock);
		blockNewNewLog2 = new BlockNewNewLog2().setBlockName("log3").setBlockTextureName("log").setCreativeTab(CreativeTabs.tabBlock);

		GameRegistry.registerBlock(blockStrippedOldLog, ItemStrippedOldLogs.class, blockStrippedOldLog.getUnlocalizedName().substring(5));
		GameRegistry.registerBlock(blockStrippedNewLog, ItemStrippedNewLogs.class, blockStrippedNewLog.getUnlocalizedName().substring(5));
		GameRegistry.registerBlock(blockStrippedNewLog2, ItemStrippedNewLogs2.class, blockStrippedNewLog2.getUnlocalizedName().substring(5));
		GameRegistry.registerBlock(blockNewNewLog, ItemNewNewLogs.class, blockNewNewLog.getUnlocalizedName().substring(5));
		GameRegistry.registerBlock(blockNewNewLog2, ItemNewNewLogs2.class, blockNewNewLog2.getUnlocalizedName().substring(5));
	}

	public static BlockRedSandstone red_sandstone;
	public static BlockRedSandStoneSlab red_sandstone_slab;
	public static BlockRedSandStoneSlab red_sandstone_dbl_slab;

	public static void newSandStone() {
		red_sandstone = new BlockRedSandstone();
		red_sandstone.setStepSound(Block.soundTypePiston).setHardness(0.8F);

		IBA_BackBlocks.registerBlockHelper(red_sandstone, "red_sandstone");


		BlockRedSandstone red_sandstone_smooth = new BlockRedSandstone();
		red_sandstone_smooth.setStepSound(Block.soundTypePiston).setHardness(0.8F);
		IBA_BackBlocks.registerBlockHelper(red_sandstone_smooth, "red_sandstone_smooth");


		BlockRedSandstone red_sandstone_carved = new BlockRedSandstone();
		red_sandstone_carved.setStepSound(Block.soundTypePiston).setHardness(0.8F);

		IBA_BackBlocks.registerBlockHelper(red_sandstone_carved, "red_sandstone_carved");

		BlockRedSandStoneStairs red_sandstone_stairs = new BlockRedSandStoneStairs(red_sandstone,0);
		IBA_BackBlocks.registerBlockHelper(red_sandstone_stairs, "red_sandstone_stairs");


		GameRegistry.addRecipe(new ItemStack(red_sandstone_stairs,4), "s  ", "ss ","sss",
				's', new ItemStack(red_sandstone));
		GameRegistry.addRecipe(new ItemStack(red_sandstone_stairs,4), "  s", " ss","sss",
				's', new ItemStack(red_sandstone));

		red_sandstone_slab = new BlockRedSandStoneSlab(false);
		red_sandstone_dbl_slab = new BlockRedSandStoneSlab(true);


		// s.setBlockName(name).setBlockTextureName(TEXTURE_LOCATION + name).setCreativeTab(tabMimic);
		red_sandstone_dbl_slab.setHardness(0.8F);
		red_sandstone_slab.setHardness(0.8F).setBlockName("red_sandstone_slab");
		red_sandstone_slab.setCreativeTab(CreativeTabs.tabBlock);
		GameRegistry.registerBlock(red_sandstone_slab,
				ItemSlabRedSandstone.class, "red_sandstone_slab");

		GameRegistry.registerBlock(red_sandstone_dbl_slab,
				ItemSlabRedSandstone.class, "red_sandstone_dbl_slab");//TODO: PICK BLOCK DOES TSONE LAB

		//undo the chiselled back to the 2 slabs
		GameRegistry.addSmelting(new ItemStack(red_sandstone_carved), new ItemStack(red_sandstone_slab,2), 0);

		GameRegistry.addRecipe(new ItemStack(red_sandstone_slab,6), "   ", "   ","sss",
				's', new ItemStack(red_sandstone));
		GameRegistry.addRecipe(new ItemStack(red_sandstone_slab,6), "sss", "   ","   ",
				's', new ItemStack(red_sandstone));
		GameRegistry.addRecipe(new ItemStack(red_sandstone_slab,6), "   ", "sss","   ",
				's', new ItemStack(red_sandstone));


		GameRegistry.addRecipe(new ItemStack(red_sandstone_carved), "s ", "s ",
				's', new ItemStack(red_sandstone_slab));

		//uncraft slabs
		GameRegistry.addRecipe(new ItemStack(red_sandstone,6), "   ", "sss","sss",
				's', new ItemStack(red_sandstone_slab));

		//uncraft stairs
		GameRegistry.addRecipe(new ItemStack(red_sandstone,6), "ss", "ss",
				's', new ItemStack(red_sandstone_stairs));

	}


	public static void initSlimeBlock()
	{
		BlockSlime slime = new BlockSlime();

		IBA_BackBlocks.registerBlockHelper(slime, "slime_block");

		GameRegistry.addRecipe(new ItemStack(slime), "ppp", "ppp",	"ppp",
				'p', Items.slime_ball);

		GameRegistry.addShapelessRecipe(new ItemStack(Items.slime_ball, 9), slime);
	}

	public static void initIronTrapdoor()
	{
		// Iron Trapdoor, Armor Stand
		// is protected again
		BlockIronTrapdoor iron_trapdoor = new BlockIronTrapdoor();

		IBA_BackBlocks.registerBlockHelper(iron_trapdoor, "iron_trapdoor");

		GameRegistry.addRecipe(new ItemStack(iron_trapdoor), "ii", "ii",
				'i', Items.iron_ingot);

		GameRegistry.addSmelting(new ItemStack(iron_trapdoor), new ItemStack(Items.iron_ingot,4), 0);
	}

	public static BlockFenceGateSimple acacia_fence_gate;
	public static BlockFenceGateSimple spruce_fence_gate;
	public static BlockFenceGateSimple birch_fence_gate;
	public static BlockFenceGateSimple jungle_fence_gate;
	public static BlockFenceGateSimple big_oak_fence_gate;
	public static BlockFenceSimple birch_fence;
	public static BlockFenceSimple jungle_fence;
	public static BlockFenceSimple spruce_fence;
	public static BlockFenceSimple big_oak_fence;
	public static BlockFenceSimple acacia_fence;

	public static void initFencesGates()
	{
		// 5 fences
		birch_fence = new BlockFenceSimple("planks_birch");

		IBA_BackBlocks.registerBlockHelper(birch_fence, "birch_fence");

		GameRegistry.addRecipe(new ItemStack(birch_fence,3), "   ", "lsl", "lsl",
				'l', new ItemStack(Blocks.planks,1,reference.planks_birch),
				's', Items.stick
		);

		jungle_fence = new BlockFenceSimple("planks_jungle");

		IBA_BackBlocks.registerBlockHelper(jungle_fence, "jungle_fence");

		GameRegistry.addRecipe(new ItemStack(jungle_fence,3), "   ", "lsl", "lsl",
				'l', new ItemStack(Blocks.planks,1,reference.planks_jungle),
				's', Items.stick
		);

		spruce_fence = new BlockFenceSimple("planks_spruce");

		IBA_BackBlocks.registerBlockHelper(spruce_fence, "spruce_fence");

		GameRegistry.addRecipe(new ItemStack(spruce_fence,3), "   ", "lsl", "lsl",
				'l', new ItemStack(Blocks.planks,1,reference.planks_spruce),
				's', Items.stick
		);

		big_oak_fence = new BlockFenceSimple("planks_big_oak");
		IBA_BackBlocks.registerBlockHelper(big_oak_fence, "big_oak_fence");

		GameRegistry.addRecipe(new ItemStack(big_oak_fence,3), "   ", "lsl", "lsl",
				'l', new ItemStack(Blocks.planks,1,reference.planks_darkoak),
				's', Items.stick
		);

		acacia_fence = new BlockFenceSimple("planks_acacia");
		IBA_BackBlocks.registerBlockHelper(acacia_fence, "acacia_fence");


		GameRegistry.addRecipe(new ItemStack(acacia_fence,3), "   ", "lsl", "lsl",
				'l', new ItemStack(Blocks.planks,1,reference.planks_acacia),
				's', Items.stick
		);



		// we inherited from basic fencegate to override getIcon, which was set
		// to only plain planks
		acacia_fence_gate = new BlockFenceGateSimple();
		IBA_BackBlocks.registerBlockHelper(acacia_fence_gate, "acacia_fence_gate");
		acacia_fence_gate.setBlockTextureName("planks_acacia");

		GameRegistry.addRecipe(new ItemStack(acacia_fence_gate,1), "   ", "sls", "sls",
				'l', new ItemStack(Blocks.planks,1,reference.planks_acacia),
				's', Items.stick
		);


		spruce_fence_gate = new BlockFenceGateSimple();
		IBA_BackBlocks.registerBlockHelper(spruce_fence_gate, "spruce_fence_gate");

		spruce_fence_gate.setBlockTextureName("planks_spruce");
		GameRegistry.addRecipe(new ItemStack(spruce_fence_gate,1), "   ", "sls", "sls",
				'l', new ItemStack(Blocks.planks,1,reference.planks_spruce),
				's', Items.stick
		);


		birch_fence_gate = new BlockFenceGateSimple();
		IBA_BackBlocks.registerBlockHelper(birch_fence_gate, "birch_fence_gate");
		birch_fence_gate.setBlockTextureName("planks_birch");

		GameRegistry.addRecipe(new ItemStack(birch_fence_gate,1), "   ", "sls", "sls",
				'l', new ItemStack(Blocks.planks,1,reference.planks_birch),
				's', Items.stick
		);

		jungle_fence_gate = new BlockFenceGateSimple();
		IBA_BackBlocks.registerBlockHelper(jungle_fence_gate, "jungle_fence_gate");
		jungle_fence_gate.setBlockTextureName("planks_jungle");
		GameRegistry.addRecipe(new ItemStack(jungle_fence_gate,1), "   ", "sls", "sls",
				'l', new ItemStack(Blocks.planks,1,reference.planks_jungle),
				's', Items.stick
		);

		big_oak_fence_gate = new BlockFenceGateSimple();
		IBA_BackBlocks.registerBlockHelper(big_oak_fence_gate, "big_oak_fence_gate");
		big_oak_fence_gate.setBlockTextureName("planks_big_oak");

		GameRegistry.addRecipe(new ItemStack(big_oak_fence_gate,1), "   ", "sls", "sls",
				'l', new ItemStack(Blocks.planks,1,reference.planks_darkoak),
				's', Items.stick
		);
	}

	public static void initNewStones()
	{
		BlockSimple diorite = new BlockSimple(Material.rock);
		diorite.setHardness(1.5F).setResistance(30.0F).setStepSound(Block.soundTypeStone);
		IBA_BackBlocks.registerBlockHelper(diorite, "diorite");

		BlockSimple andesite = new BlockSimple(Material.rock);
		andesite.setHardness(1.5F).setResistance(30.0F).setStepSound(Block.soundTypeStone);
		IBA_BackBlocks.registerBlockHelper(andesite, "andesite");

		BlockSimple granite = new BlockSimple(Material.rock);
		granite.setHardness(1.5F).setResistance(30.0F).setStepSound(Block.soundTypeStone);
		IBA_BackBlocks.registerBlockHelper(granite, "granite");

		BlockSimple diorite_smooth = new BlockSimple(Material.rock);
		diorite_smooth.setHardness(1.5F).setResistance(30.0F).setStepSound(Block.soundTypeStone);
		IBA_BackBlocks.registerBlockHelper(diorite_smooth, "polished_diorite");

		BlockSimple andesite_smooth = new BlockSimple(Material.rock);
		andesite_smooth.setHardness(1.5F).setResistance(30.0F).setStepSound(Block.soundTypeStone);
		IBA_BackBlocks.registerBlockHelper(andesite_smooth, "polished_andesite");

		BlockSimple granite_smooth = new BlockSimple(Material.rock);
		granite_smooth.setHardness(1.5F).setResistance(30.0F).setStepSound(Block.soundTypeStone);
		IBA_BackBlocks.registerBlockHelper(granite_smooth, "polished_granite");

		GameRegistry.addRecipe(new ItemStack(diorite_smooth), "pp", "pp", 'p',
				diorite);//2quartz,2cobble in diagonal. quartz top right
		GameRegistry.addRecipe(new ItemStack(andesite_smooth), "pp", "pp", 'p',
				andesite);//1 dio + 1 cobble
		GameRegistry.addRecipe(new ItemStack(granite_smooth), "pp", "pp", 'p',
				granite);//1diorite+1qutz



		GameRegistry.addRecipe(new ItemStack(diorite), "cq", "qc",
				'c',Blocks.cobblestone,
				'q',Items.quartz);//2quartz,2cobble in diagonal. quartz top right

		GameRegistry.addShapelessRecipe(new ItemStack(andesite), diorite,Blocks.cobblestone);
		GameRegistry.addShapelessRecipe(new ItemStack(granite), diorite,Items.quartz);



		BlockSimple coarse_dirt = new BlockSimple(Material.ground);
		coarse_dirt.setHardness(0.5F).setResistance(0.5F).setStepSound(Block.soundTypeGravel).setBlockTextureName("coarse_dirt");;
		IBA_BackBlocks.registerBlockHelper(coarse_dirt, "coarse_dirt");

		GameRegistry.addRecipe(new ItemStack(coarse_dirt,1,1), "gd", "dg"
				,'g', Blocks.gravel
				,'d', Blocks.dirt
		);
		GameRegistry.addRecipe(new ItemStack(coarse_dirt,1,1), "dg", "gd"
				,'g', Blocks.gravel
				,'d', Blocks.dirt
		);

	}


	public static BlockSimple sea_lantern;
	public static Item prismarine_crystals;
	public static Item prismarine_shard;

	public static void initPrismarine()
	{
		prismarine_crystals = new Item();
		IBA_BackBlocks.registerItemHelper(prismarine_crystals, "prismarine_crystals");

		prismarine_shard = new Item();
		IBA_BackBlocks.registerItemHelper(prismarine_shard, "prismarine_shard");

		BlockSimple prismarine_bricks = new BlockSimple(Material.rock);
		prismarine_bricks.setHardness(1.2F).setResistance(30.0F).setStepSound(Block.soundTypeStone);
		IBA_BackBlocks.registerBlockHelper(prismarine_bricks, "prismarine_bricks");


		BlockSimple prismarine_dark = new BlockSimple(Material.rock);
		prismarine_dark.setHardness(1.5F).setResistance(30.0F).setStepSound(Block.soundTypeStone);
		IBA_BackBlocks.registerBlockHelper(prismarine_dark, "dark_prismarine");

		BlockSimple prismarine_rough = new BlockSimple(Material.rock);
		prismarine_rough.setHardness(1.5F).setResistance(30.0F);
		IBA_BackBlocks.registerBlockHelper(prismarine_rough, "prismarine");



		sea_lantern = new BlockSimple(Material.glass, prismarine_crystals);
		sea_lantern.setHardness(0.3F).setResistance(1.5F).setLightLevel(1.0F);
		IBA_BackBlocks.registerBlockHelper(sea_lantern, "sea_lantern");

		// recipe time

		GameRegistry.addRecipe(new ItemStack(prismarine_rough), "pp", "pp",
				'p', prismarine_shard);

		GameRegistry.addRecipe(new ItemStack(sea_lantern), "psp", "sss", "psp",
				'p', prismarine_shard, 's', prismarine_crystals);

		GameRegistry.addRecipe(new ItemStack(prismarine_bricks), "ppp", "ppp",
				"ppp", 'p', prismarine_shard);
		GameRegistry.addRecipe(new ItemStack(prismarine_dark), "ppp", "pip",
				"ppp", 'p', prismarine_shard, 'i', new ItemStack(Items.dye, 1,
						reference.dye_incsac));

		// no guardians exist yet. so for now just smelt lapis?

		GameRegistry.addSmelting(new ItemStack(Items.dye, 1,
				reference.dye_lapis), new ItemStack(prismarine_shard, 2), 0);

		GameRegistry.addShapelessRecipe(new ItemStack(prismarine_crystals), prismarine_shard,Items.glowstone_dust);
	}


	public static ItemFood mutton_raw;
	public static ItemFood mutton_cooked;

	public static void initMutton()
	{
		mutton_raw = new ItemFood(2, false);

		IBA_BackBlocks.registerItemHelper(mutton_raw, "mutton_raw") ;

		mutton_cooked = new ItemFood(6, false);

		IBA_BackBlocks.registerItemHelper(mutton_cooked, "mutton_cooked") ;

		GameRegistry.addSmelting(mutton_raw, new ItemStack(mutton_cooked, 1), 0);
	}


	public static ItemFood rabbit_raw;
	public static ItemFood rabbit_cooked;
	public static void initRabbit()
	{
		rabbit_raw = new ItemFood(3, false);

		IBA_BackBlocks.registerItemHelper(rabbit_raw, "rabbit_raw") ;

		rabbit_cooked = new ItemFood(5, false);

		IBA_BackBlocks.registerItemHelper(rabbit_cooked, "rabbit_cooked") ;

		GameRegistry.addSmelting(rabbit_raw, new ItemStack(rabbit_cooked, 1), 0);
	}

	public static ItemFood rabbit_stew;
	public static void initRabbitStew()
	{
		rabbit_stew = new ItemFood(10, false);

		IBA_BackBlocks.registerItemHelper(rabbit_stew, "rabbit_stew") ;

		GameRegistry.addShapelessRecipe(new ItemStack(Register.rabbit_stew), Register.rabbit_cooked,Items.baked_potato,Blocks.brown_mushroom,Items.carrot,Items.bowl);
		GameRegistry.addShapelessRecipe(new ItemStack(Register.rabbit_stew), Register.rabbit_cooked,Items.baked_potato,Blocks.red_mushroom,Items.carrot,Items.bowl);

	}
}